package com.hai.service;

import com.alibaba.fastjson.JSONObject;
import com.hai.entity.HighTelOrder;
import com.hai.model.OutTelModel;

import java.util.List;
import java.util.Map;

/**
 * @ClassName TelApiService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description //话费充值管理
 * @createTime 14:17 2021/5/28
 **/
public interface TelApiService {

    /**
     * @Author Sum1Dream
     * @Description // 查询话费订单列表
     * @Date 11:33 2021/5/28
     * @Param [map]
     * @return java.util.List<com.hai.entity.HighTelOrder>
     **/
    List<HighTelOrder> getTelOrderList(Map<String , Object> map);

    /**
     * @Author Sum1Dream
     * @Description //新增话费订单
     * @Date 11:34 2021/5/28
     * @Param [highTelOrder]
     * @return void
     **/
    void insertOrder(HighTelOrder highTelOrder);

    /**
     * @Author Sum1Dream
     * @Description //修改话费订单
     * @Date 11:35 2021/5/28
     * @Param [highTelOrder]
     * @return void
     **/
    void  updateOrder(HighTelOrder highTelOrder);

    /**
     * @Author Sum1Dream
     * @Description // 根据ID查询订单详情
     * @Date 11:36 2021/5/28
     * @Param [id]
     * @return com.hai.entity.HighTelOrder
     **/
    HighTelOrder findOrderById(Integer id);

    /**
     * @Author Sum1Dream
     * @Description //话费充值 验签成功后业务调用
     * @Date 16:44 2021/5/28
     * @Param [paramsMap] 异步回调返回的参数
     * @return java.lang.String
     **/
    String telApiNotify(Map<String, String> paramsMap) throws Exception;


    JSONObject outApiTel(String tel);


}
